// ButtonsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Buttons.h"
#include "ButtonsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CButtonsDlg dialog

CButtonsDlg::CButtonsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CButtonsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CButtonsDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CButtonsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CButtonsDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CButtonsDlg, CDialog)
	//{{AFX_MSG_MAP(CButtonsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_SHOW_HIDE, OnShowHide)
	ON_BN_CLICKED(IDC_ENABLE_DISABLE, OnEnableDisable)
	ON_BN_CLICKED(IDC_LEFT, OnLeft)
	ON_BN_CLICKED(IDC_CENTER, OnCenter)
	ON_BN_CLICKED(IDC_RIGHT, OnRight)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CButtonsDlg message handlers

BOOL CButtonsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CButtonsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CButtonsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CButtonsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CButtonsDlg::OnShowHide() 
{
	// TODO: Add your control notification handler code here

	// ** Check if the Left button is currently visible
	BOOL bVisible = GetDlgItem(IDC_LEFT)->IsWindowVisible();

	// ** Toggle the visibility of each control
	GetDlgItem(IDC_LEFT)->ShowWindow(bVisible ? SW_HIDE : SW_SHOW);
	GetDlgItem(IDC_CENTER)->ShowWindow(bVisible ? SW_HIDE : SW_SHOW);
	GetDlgItem(IDC_RIGHT)->ShowWindow(bVisible ? SW_HIDE : SW_SHOW);

	// ** Toggle the Show/Hide button's caption
	GetDlgItem(IDC_SHOW_HIDE)->SetWindowText(bVisible ? "Show" : "Hide");
}

void CButtonsDlg::OnEnableDisable() 
{
	// TODO: Add your control notification handler code here

	// ** Obtain the current stat of the Left button
	BOOL bState = GetDlgItem(IDC_LEFT)->IsWindowEnabled();

	// ** Toggle the state of each control
	GetDlgItem(IDC_LEFT)->EnableWindow(!bState);
	GetDlgItem(IDC_CENTER)->EnableWindow(!bState);
	GetDlgItem(IDC_RIGHT)->EnableWindow(!bState);

	// ** Toggle the Enable/Disable button's caption
	GetDlgItem(IDC_ENABLE_DISABLE)->SetWindowText(bState ? "Enable" : "Disable");
}

void CButtonsDlg::OnLeft() 
{
	// TODO: Add your control notification handler code here
	ChangeDialogTitle(IDC_LEFT);
}

void CButtonsDlg::OnCenter() 
{
	// TODO: Add your control notification handler code here
	ChangeDialogTitle(IDC_CENTER);
}

void CButtonsDlg::OnRight() 
{
	// TODO: Add your control notification handler code here
	ChangeDialogTitle(IDC_RIGHT);
}

void CButtonsDlg::ChangeDialogTitle(UINT nID)
{
	CString strCaption;

	// ** Get the label of the button that was clicked
	GetDlgItem(nID)->GetWindowText(strCaption);

	strCaption += " was pressed";

	// ** Check if the button is the same one as last time
	if(m_nIDofLastButton == nID)
		strCaption += " again";

	// ** Set the caption of the dialog box
	SetWindowText(strCaption);

	// ** Store the ID of the clicked button
	m_nIDofLastButton = nID;
}
