// MyCustomDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CustomDlg.h"
#include "MyCustomDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyCustomDlg dialog


CMyCustomDlg::CMyCustomDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMyCustomDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMyCustomDlg)
	m_strName = _T("");
	m_nAge = 0;
	//}}AFX_DATA_INIT
}

void DDV_ValidateAge(CDataExchange* pDX,int& nCheckAge)
{
	if (pDX->m_bSaveAndValidate &&
		(nCheckAge < 18 || nCheckAge > 65 || nCheckAge == 31))
	{
		AfxMessageBox("Ages must be between 18 and 65, but not 31!");
		pDX->Fail();
	}
}

void CMyCustomDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMyCustomDlg)
	DDX_Text(pDX, IDC_NAME, m_strName);
	DDV_MaxChars(pDX, m_strName, 15);
	DDX_Text(pDX, IDC_AGE, m_nAge);
	//}}AFX_DATA_MAP
	DDV_ValidateAge(pDX,m_nAge);
}


BEGIN_MESSAGE_MAP(CMyCustomDlg, CDialog)
	//{{AFX_MSG_MAP(CMyCustomDlg)
	ON_EN_CHANGE(IDC_NAME, OnChangeName)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyCustomDlg message handlers

void CMyCustomDlg::OnChangeName() 
{
	UpdateData(TRUE);
	SetWindowText(m_strName);		
}
