// ** include the required class definitions
#include "modeless.h"

// ** Declare a global pointer to the modeless dialog
CModeless* g_pDlgModeless = NULL;

void CMLaunchDlg::OnStartModeless() 
{
	// ** Create a new dialog if the global pointer
	// ** is set to NULL indicating that the dialog
	// ** doesn't already exist
	if (!g_pDlgModeless)
		g_pDlgModeless = new CModeless(this);
}


void CMLaunchDlg::OnStopModeless() 
{
	// ** If the modeless dialog pointer is valid
	// ** the dialog can be deleted and destroyed.
	if (g_pDlgModeless)
	{
		delete g_pDlgModeless;
		g_pDlgModeless = NULL;
	}
}

