// ImagesDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Images.h"
#include "ImagesDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CImagesDlg dialog

CImagesDlg::CImagesDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CImagesDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CImagesDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CImagesDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CImagesDlg)
	DDX_Control(pDX, IDC_I5, m_i5);
	DDX_Control(pDX, IDC_I4, m_i4);
	DDX_Control(pDX, IDC_I3, m_i3);
	DDX_Control(pDX, IDC_I2, m_i2);
	DDX_Control(pDX, IDC_I1, m_i1);
	DDX_Control(pDX, IDC_B1, m_b1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CImagesDlg, CDialog)
	//{{AFX_MSG_MAP(CImagesDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CImagesDlg message handlers

BOOL CImagesDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.
	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	// ** Load the bitmap resource and
	// ** set the picture control to the loaded bitmap
	VERIFY(m_bmp.LoadBitmap(IDB_BEACH));
	m_b1.SetBitmap(m_bmp);

	CWinApp* pApp = AfxGetApp();
	HICON hIcon;

	// ** Load the application's icon and
	// ** set the picture control to the loaded icon
	hIcon = pApp->LoadIcon(IDR_MAINFRAME);
	m_i1.SetIcon(hIcon);

	// ** Load some of the standard icons and
	// ** set each picture control
	hIcon = pApp->LoadStandardIcon(IDI_HAND);
	m_i2.SetIcon(hIcon);

	hIcon = pApp->LoadStandardIcon(IDI_QUESTION);
	m_i3.SetIcon(hIcon);

	hIcon = pApp->LoadStandardIcon(IDI_EXCLAMATION);
	m_i4.SetIcon(hIcon);

	hIcon = pApp->LoadStandardIcon(IDI_ASTERISK);
	m_i5.SetIcon(hIcon);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CImagesDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CImagesDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CImagesDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}
