// sdimenuView.h : interface of the CSdimenuView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SDIMENUVIEW_H__8782220D_D544_11D1_A86E_D6CE3F385507__INCLUDED_)
#define AFX_SDIMENUVIEW_H__8782220D_D544_11D1_A86E_D6CE3F385507__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CSdimenuView : public CView
{
protected: // create from serialization only
	CSdimenuView();
	DECLARE_DYNCREATE(CSdimenuView)

// Attributes
public:
	CSdimenuDoc* GetDocument();

// Operations
public:
	int nLastSelectedItem;

	COLORREF m_refRGB;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSdimenuView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSdimenuView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSdimenuView)
	afx_msg void OnRadiomenuRadio1();
	afx_msg void OnRadiomenuRadio2();
	afx_msg void OnRadiomenuRadio3();
	afx_msg void OnUpdateRadiomenuRadio1(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRadiomenuRadio2(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRadiomenuRadio3(CCmdUI* pCmdUI);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnMypopupmenuEast();
	afx_msg void OnMypopupmenuNorth();
	afx_msg void OnMypopupmenuSouth();
	afx_msg void OnMypopupmenuWest();
	afx_msg void OnUpdateMypopupmenuNorth(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMypopupmenuEast(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMypopupmenuSouth(CCmdUI* pCmdUI);
	afx_msg void OnUpdateMypopupmenuWest(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	afx_msg void OnYellow();
	afx_msg void OnUpdateYellow(CCmdUI* pCmdUI);

	afx_msg void OnRed();
	afx_msg void OnGreen();
	afx_msg void OnBlue();

};

#ifndef _DEBUG  // debug version in sdimenuView.cpp
inline CSdimenuDoc* CSdimenuView::GetDocument()
   { return (CSdimenuDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SDIMENUVIEW_H__8782220D_D544_11D1_A86E_D6CE3F385507__INCLUDED_)
