// ToolbarView.cpp : implementation of the CToolbarView class
//

#include "stdafx.h"
#include "Toolbar.h"

#include "ToolbarDoc.h"
#include "ToolbarView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CToolbarView

IMPLEMENT_DYNCREATE(CToolbarView, CView)

BEGIN_MESSAGE_MAP(CToolbarView, CView)
	//{{AFX_MSG_MAP(CToolbarView)
	ON_COMMAND(ID_CREATURE, OnCreature)
	ON_UPDATE_COMMAND_UI(ID_CREATURE, OnUpdateCreature)
	ON_COMMAND(ID_BUTTON32774, OnButton32774)
	ON_COMMAND(ID_BUTTON32775, OnButton32775)
	ON_COMMAND(ID_BUTTON32776, OnButton32776)
	ON_COMMAND(ID_BUTTON32777, OnButton32777)
	ON_COMMAND(ID_BUTTON32778, OnButton32778)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CToolbarView construction/destruction

CToolbarView::CToolbarView()
{
	// TODO: add construction code here

}

CToolbarView::~CToolbarView()
{
}

BOOL CToolbarView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CToolbarView drawing

void CToolbarView::OnDraw(CDC* pDC)
{
	CToolbarDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CToolbarView printing

BOOL CToolbarView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CToolbarView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CToolbarView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CToolbarView diagnostics

#ifdef _DEBUG
void CToolbarView::AssertValid() const
{
	CView::AssertValid();
}

void CToolbarView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CToolbarDoc* CToolbarView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CToolbarDoc)));
	return (CToolbarDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CToolbarView message handlers

void CToolbarView::OnCreature() 
{
	AfxMessageBox("Creature");	
}

void CToolbarView::OnUpdateCreature(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bEnableCreature);

}

void CToolbarView::DrawEllipse(COLORREF refCol)
{
	CClientDC dcClient(this);	
	CRect rcClient;
	GetClientRect(&rcClient);
	CBrush br(refCol),*pOldBr;
	pOldBr = dcClient.SelectObject(&br);
	for(int i=0;i<20;i++)
	{
		dcClient.Ellipse(rcClient.left,rcClient.top,rcClient.right,rcClient.bottom);
		rcClient.DeflateRect(10,10);
	}
	dcClient.SelectObject(pOldBr);
}

void CToolbarView::OnButton32774() 
{
	DrawEllipse(RGB(0,0,0));
}

void CToolbarView::OnButton32775() 
{
	DrawEllipse(RGB(0,255,0));
}

void CToolbarView::OnButton32776() 
{
	DrawEllipse(RGB(255,0,0));
}

void CToolbarView::OnButton32777() 
{
	DrawEllipse(RGB(0,0,255));
}

void CToolbarView::OnButton32778() 
{
	DrawEllipse(RGB(255,255,0));
}
