void CMyDrawView::OnDraw(CDC* pDC)
{
	CMyDrawDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	// Create a Pen
	CPen penRed(PS_DOT,1,RGB(255,0,0));		
	CPen *pOldPen = NULL;					

	pOldPen = pDC->SelectObject(&penRed);	

	// Find the drawing area co-ordinates
	CRect rcClient;						
	GetClientRect(&rcClient);				

	for(int x=0; x < rcClient.Width(); x+=5)
		for(int y=0; y < rcClient.Height(); y+=5)
		{									
			CPoint ptNew(x,y);					
			pDC->MoveTo(rcClient.CenterPoint());
			pDC->LineTo(ptNew);					
		}											

	pDC->SelectObject(pOldPen);						
}