// SimpTextView.cpp : implementation of the CSimpTextView class
//

#include "stdafx.h"
#include "SimpText.h"

#include "SimpTextDoc.h"
#include "SimpTextView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSimpTextView

IMPLEMENT_DYNCREATE(CSimpTextView, CView)

BEGIN_MESSAGE_MAP(CSimpTextView, CView)
	//{{AFX_MSG_MAP(CSimpTextView)
	ON_COMMAND(ID_CHOOSEFONT, OnChoosefont)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSimpTextView construction/destruction

CSimpTextView::CSimpTextView()
{
	// TODO: add construction code here

}

CSimpTextView::~CSimpTextView()
{
}

BOOL CSimpTextView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CSimpTextView drawing

// ** The Font Callback function
int CALLBACK FontCallBack(ENUMLOGFONT FAR* lpelf,        
                           NEWTEXTMETRIC FAR *lpnt,  
                           int FontType,            
                           LPARAM lParam)            
{                                
   // ** Pick the DC pointer from the lParam
   CDC* pDC = (CDC*)lParam;                
   CFont fnEnum;                        
 
    // ** Create the font indirectly
    fnEnum.CreateFontIndirect(&lpelf->elfLogFont);    
    
    CFont* pOldFont = pDC->SelectObject(&fnEnum);    
    
    // ** Get the current Cursor position 
    int nYPos = pDC->GetCurrentPosition().y;        
 
    // ** Draw the font name
    pDC->TextOut(5,nYPos,CString(lpelf->elfLogFont.lfFaceName)); 
 
    //** Move down by the height of the font
    pDC->MoveTo(0,nYPos + lpelf->elfLogFont.lfHeight);    
 
    pDC->SelectObject(pOldFont);                
 
    // ** return TRUE to keep on going
    return TRUE;                        
}  

void CSimpTextView::OnDraw(CDC* pDC)
{
	CSimpTextDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	CFont* pOldFont = pDC->SelectObject(&m_fnCustom);

	CRect rcSmall(CPoint(20,20),CPoint(200,100)); 
	pDC->Rectangle(rcSmall);      
	pDC->SetBkMode(TRANSPARENT); 
	// ** Call DrawText with the message in the rect
	// ** Word Breaking and centralized

	pDC->DrawText( 
		"Bah bah black sheep, have you any wool", 
		rcSmall, DT_WORDBREAK + DT_CENTER); 

	pDC->SelectObject(pOldFont);
}
                              
 
/*void CSimpTextView::OnDraw(CDC* pDC)
{
   CSimpTextDoc* pDoc = GetDocument();
   ASSERT_VALID(pDoc);
   
   // TODO: add draw code for native data here
   
   CFont* pOldFont = pDC->SelectObject(&m_fnCustom); 
   pDC->TextOut(20,20,                    
        "Bah bah black sheep, have you any wool");
    pDC->SelectObject(pOldFont);                
}*/
 
/*void CSimpTextView::OnDraw(CDC* pDC)
{
      CSimpTextDoc* pDoc = GetDocument();
      ASSERT_VALID(pDoc);
      
      // TODO: add draw code for native data here
      
       // ** Setup the enum callback calling your function
      EnumFontFamilies(pDC->GetSafeHdc(),NULL,         
              (FONTENUMPROC)FontCallBack,(LPARAM)pDC); 
}*/
/////////////////////////////////////////////////////////////////////////////
// CSimpTextView drawing

/*void CSimpTextView::OnDraw(CDC* pDC)
{
	CSimpTextDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	CFont* pOldFont = pDC->SelectObject(&m_fnCustom);

	CRect rcSmall(CPoint(20,20),CPoint(200,100)); 
	pDC->Rectangle(rcSmall);      
	pDC->SetBkMode(TRANSPARENT); 
	// ** Call DrawText with the message in the rect
	// ** Word Breaking and centralized

	pDC->DrawText( 
		"Bah bah black sheep, have you any wool", 
		rcSmall, DT_WORDBREAK + DT_CENTER); 

	pDC->SelectObject(pOldFont);
}*/

/*void CSimpTextView::OnDraw(CDC* pDC)
{
	CSimpTextDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	// ** Align point to the right of the text
	pDC->SetTextAlign(TA_RIGHT);            
	
	// ** Draw the Text
	pDC->TextOut(200,200,"<-Right->");    
		
	// ** Align point to the left of the text
	pDC->SetTextAlign(TA_LEFT);            
	pDC->TextOut(200,200,"<-Left->");        
	
	// ** Align point to the center and below the text
	pDC->SetTextAlign(TA_CENTER + TA_BOTTOM);    
	pDC->TextOut(200,200,"<-Center->");        
	
	pDC->MoveTo(150,200);   // ** Move
	pDC->LineTo(250,200);   // ** Draw horizontal line
	pDC->MoveTo(200,150);   // ** Move
	pDC->LineTo(200,250);   // ** Draw vertical line

}*/
/*void CSimpTextView::OnDraw(CDC* pDC)
{
	CSimpTextDoc* pDoc = GetDocument();
    ASSERT_VALID(pDoc);
    
    // TODO: add draw code for native data here
    
    // ** Declare a CRect to hold the client rect
    CRect rcClient;        
    GetClientRect(&rcClient);    
     
    // ** Find the mid point
    CPoint ptCentre = rcClient.CenterPoint();    
    pDC->SetBkMode(TRANSPARENT);    
     
    // ** Loop through 360 degrees 
    for(int i=0 ; i <360 ; i+=18)    
    {
        CFont fnBig;        

            // ** 30 high, default width
        fnBig.CreateFont(30,0,    
                // ** Change Orientation
            i*10,i*10,    
                // ** Increase the weight 
            i/4,            
            FALSE,
            TRUE, //** Underlined
            FALSE,    
            ANSI_CHARSET,
            OUT_DEFAULT_PRECIS,
            CLIP_DEFAULT_PRECIS,
            PROOF_QUALITY,
            DEFAULT_PITCH + FF_DONTCARE,        
            "Arial"
            );        
        
        CFont* pOldFont = pDC->SelectObject(&fnBig); 
    
        // ** Draw the text    
        pDC->TextOut(ptCentre.x,ptCentre.y,
			".....Beautiful Fonts");    
        
        pDC->SelectObject(pOldFont);        
    }
}*/





/////////////////////////////////////////////////////////////////////////////
// CSimpTextView printing

BOOL CSimpTextView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CSimpTextView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CSimpTextView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CSimpTextView diagnostics

#ifdef _DEBUG
void CSimpTextView::AssertValid() const
{
	CView::AssertValid();
}

void CSimpTextView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CSimpTextDoc* CSimpTextView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSimpTextDoc)));
	return (CSimpTextDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CSimpTextView message handlers

void CSimpTextView::OnChoosefont() 
{
   // TODO: Add your command handler code here
   
   // ** Declare the CFontDialog
   CFontDialog dlgChooseFont;        
   if (dlgChooseFont.DoModal() == IDOK)    
   {                    
       m_fnCustom.DeleteObject();    
        m_fnCustom.CreateFontIndirect(    
            dlgChooseFont.m_cf.lpLogFont);
        Invalidate();            
    }   	
}
