void CSimpTextView::OnDraw(CDC* pDC)
{
	CSimpTextDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	CRect rcClipBox(CPoint(100,100),CPoint(250,120));
	pDC->Rectangle(rcClipBox);
	pDC->SetBkMode(TRANSPARENT);

	// ** Draw the unclipped text    
	pDC->ExtTextOut(100,100,0,rcClipBox,    
	_T("This text won't fit in there!"),NULL);

	rcClipBox.OffsetRect(0,40);
	pDC->Rectangle(rcClipBox);

	// ** Draw the clipped text    
	pDC->ExtTextOut(100,140,ETO_CLIPPED    ,rcClipBox,
				"This text won't fit in there!",NULL);
}
