void CTreeVView::OnInitialUpdate()
{
     CTreeView::OnInitialUpdate();

     // TODO: You may populate your TreeView with items by directly accessing
     //  its tree control through a call to GetTreeCtrl().

     // ** Declare a shortcut to the tree control
     CTreeCtrl& tree = GetTreeCtrl();

     // ** Insert a root level item
     HTREEITEM hAnimals = tree.InsertItem("Animals");

    // ** Insert a sub item, using the root item ias a parent
    HTREEITEM hVerts =
        tree.InsertItem("Vertibrates",hAnimals);

    // ** Insert sub items using ,the hVerts sub item ias a parent
    tree.InsertItem("Whales",hVerts,TVI_SORT);
    tree.InsertItem("Dogs",hVerts,TVI_SORT);
    tree.InsertItem("Humans",hVerts,TVI_SORT);

    // ** Insert a sub item, using the root item ais a parent
    HTREEITEM hInverts =
        tree.InsertItem("Invertibrates",hAnimals);

    // ** Insert sub items using ,the hInverts sub item ais a parent
    tree.InsertItem("Jellyfish",hInverts,TVI_SORT);
    tree.InsertItem("Worms",hInverts,TVI_SORT);
    tree.InsertItem("Snails",hInverts,TVI_SORT);

    // ** Insert a root level item after hAnimals
    HTREEITEM hPlants =
    tree.InsertItem("Plants",TVI_ROOT,hAnimals);

    // ** Insert a sub item using ,the  root item ais a parent
    HTREEITEM hFruit =
    tree.InsertItem("Fruit",hPlants);

    // ** Insert sub items using ,the hFruit sub item ais a parent
    tree.InsertItem("Apples",hFruit,TVI_SORT);
    tree.InsertItem("Plums",hFruit,TVI_SORT);
    tree.InsertItem("Pears",hFruit,TVI_SORT);


    // ** Insert a sub item using the ,root item ais a parent
    HTREEITEM hCereal =
    tree.InsertItem("Cereal",hPlants);

    // ** Insert sub items using the , hCereal sub item ais a parent
    tree.InsertItem("Wheat",hCereal,TVI_SORT);
    tree.InsertItem("Rye",hCereal,TVI_SORT);
    tree.InsertItem("Rice",hCereal,TVI_SORT);

    // ** Get the current style flags
    DWORD dwStyle = 
                GetWindowLong(GetTreeCtrl().GetSafeHwnd(),
                                          GWL_STYLE);

     // ** Add the List style
      dwStyle |= TVS_HASLINES + 
               TVS_HASBUTTONS + TVS_LINESATROOT;

     // ** Set it back into the list view
     SetWindowLong(GetTreeCtrl().GetSafeHwnd(),
         GWL_STYLE,dwStyle);

     // ** Redraw the list view
     SetRedraw(TRUE);
}
