void CDlgPrintDlg::OnOK() 
{
	// TODO: Add extra validation here

	// ** Construct a CPrintDialog object
	CPrintDialog dlgPrint(FALSE,PD_ALLPAGES,this);

	if (dlgPrint.DoModal()==IDOK)
	{
		// ** Attach the printer DC from the dialog
		// ** to a CDC object
		CDC dcPrint;
		dcPrint.Attach(dlgPrint.GetPrinterDC());

		// ** Create and fill a DOCINFO structure
		DOCINFO myPrintJob;
		myPrintJob.cbSize = sizeof(myPrintJob);
		myPrintJob.lpszDocName = "MyPrintJob";
		myPrintJob.lpszOutput = NULL;
		myPrintJob.lpszDatatype = NULL;
		myPrintJob.fwType = NULL;

		// ** Start the printing document
		if (dcPrint.StartDoc(&myPrintJob)>=0)
		{
			// ** Start a page
			dcPrint.StartPage();

			// ** Start drawing 
			dcPrint.TextOut(0,0,"My Small Print Job");

			// ** Throw the page
			dcPrint.EndPage();

			// ** Close the document
			dcPrint.EndDoc();
		}

		// ** Delete the printer device context
		dcPrint.DeleteDC();
	}
	
	// ** Carry on with the standard OnOK
	CDialog::OnOK();
}
