void CPersistDoc::OnEditCopy()
{
    // ** Create a data source object
    COleDataSource* pDataSource = new COleDataSource;

    // ** Create a shared file and attach a CArchive
    CSharedFile fileClipCopy;
    CArchive arClipCopy(&fileClipCopy,CArchive::store);

    // ** Serialize the document into this archive
    Serialize(arClipCopy);
    arClipCopy.Close();

    // ** Grab the global memory handle from the mem file
    HANDLE hGlobalMem = fileClipCopy.Detach();
    if (hGlobalMem)
    {
        // ** Globally cache the data with the uniquie format
        pDataSource->CacheGlobalData(
                  m_uClipFormat,hGlobalMem);
        // ** Offer it on the clipboard 
		pDataSource->SetClipboard();
    }
    else AfxMessageBox("Can't alloc memory for clipboard copy");
}
