// PersistDoc.h : interface of the CPersistDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PERSISTDOC_H__5CBD93D9_ABA0_11D1_931D_444553540000__INCLUDED_)
#define AFX_PERSISTDOC_H__5CBD93D9_ABA0_11D1_931D_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxadv.h>
#include <afxole.h>

class CPersistDoc : public CDocument
{
protected: // create from serialization only
	CPersistDoc();
	DECLARE_DYNCREATE(CPersistDoc)

// Attributes
public:
	CObArray m_BlobArray;
	UINT m_uClipFormat;
	void DeleteBlobs();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPersistDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPersistDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPersistDoc)
	afx_msg void OnEditCopy();
	afx_msg void OnEditPaste();
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnEditCut();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PERSISTDOC_H__5CBD93D9_ABA0_11D1_931D_444553540000__INCLUDED_)
