// UsingDBSet.cpp : implementation of the CUsingDBSet class
//

#include "stdafx.h"
#include "UsingDB.h"
#include "UsingDBSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUsingDBSet implementation

IMPLEMENT_DYNAMIC(CUsingDBSet, CRecordset)

CUsingDBSet::CUsingDBSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CUsingDBSet)
	m_StudentID = 0;
	m_Name = _T("");
	m_GradYear = 0;
	m_nFields = 3;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}

CString CUsingDBSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=Student registration");
}

CString CUsingDBSet::GetDefaultSQL()
{
	return _T("[Student]");
}

void CUsingDBSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CUsingDBSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[StudentID]"), m_StudentID);
	RFX_Text(pFX, _T("[Name]"), m_Name);
	RFX_Int(pFX, _T("[GradYear]"), m_GradYear);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CUsingDBSet diagnostics

#ifdef _DEBUG
void CUsingDBSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CUsingDBSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
