	// ** Check if the ticks are enabled
	if (m_bTicks)
	{
		// ** Iterate in radians from -2*PI to +2*PI
		const double dPi = 3.14185;
		double r = -2.0 * dPi;
		for(int i=0;i<m_sNumTicks;i++)
		{
			// ** Move to a position outside the main circle
			nXPos = ptMid.x + (int)(cos(r) * dRadX * 1.05);
			nYPos = ptMid.y + (int)(sin(r) * dRadY * 1.05);
			pdc->MoveTo(CPoint(nXPos,nYPos));
			
			// ** Draw a line even further out for a tick mark
			nXPos = ptMid.x + (int)(cos(r) * dRadX * 1.15);
			nYPos = ptMid.y + (int)(sin(r) * dRadY * 1.15);
			pdc->LineTo(CPoint(nXPos,nYPos));
			
			// ** Increment the angle
			r += dPi / (m_sNumTicks / 2.0);
		}
	}