// EditsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Edits.h"
#include "EditsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditsDlg dialog

CEditsDlg::CEditsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEditsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditsDlg)
	m_strFirst = _T("");
	m_strShow = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CEditsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditsDlg)
	DDX_Control(pDX, IDC_EDIT_INITIALS, m_edtInitials);
	DDX_Control(pDX, IDC_EDIT_SECOND, m_edtSecond);
	DDX_Text(pDX, IDC_EDIT_FIRST, m_strFirst);
	DDV_MaxChars(pDX, m_strFirst, 15);
	DDX_Text(pDX, IDC_EDIT_SHOW, m_strShow);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CEditsDlg, CDialog)
	//{{AFX_MSG_MAP(CEditsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_GET_TEXT, OnGetText)
	ON_EN_CHANGE(IDC_EDIT_SECOND, OnChangeEditSecond)
	ON_EN_SETFOCUS(IDC_EDIT_SHOW, OnSetfocusEditShow)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditsDlg message handlers

BOOL CEditsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CEditsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CEditsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CEditsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CEditsDlg::OnGetText() 
{
	// TODO: Add your control notification handler code here
	// ** Exchange data from control to variable
	UpdateData();

	// ** Check if any text has been entered
	if (m_strFirst.IsEmpty() == FALSE)
	{
		// ** Display the entered text
		MessageBox(m_strFirst);

		// ** Reverse the characters in the variable
		m_strFirst.MakeReverse();

		// Exchange data from the variable to the control
		UpdateData(FALSE);
	}
}


void CEditsDlg::OnChangeEditSecond() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function to send the EM_SETEVENTMASK message to the control
	// with the ENM_CHANGE flag ORed into the lParam mask.
	
	// TODO: Add your control notification handler code here

	// ** Get a pointer to each of the edit controls
	CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT_SECOND);
	CEdit* pEditShow = (CEdit*)GetDlgItem(IDC_EDIT_SHOW);

	// ** Declare a local varaible to hold the entered text
	CString strText;

	// ** Retrieve the text from the "Second" edit box
	pEdit->GetWindowText(strText);

	// ** Update the context of the read-only edit box
	pEditShow->SetWindowText(strText);
}

void CEditsDlg::OnSetfocusEditShow() 
{
	// TODO: Add your control notification handler code here
	GetDlgItem(IDC_EDIT_SECOND)->SetFocus();
}
