void CScrollDlg::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	if (pScrollBar->GetDlgCtrlID() == IDC_SCROLLBAR1)
	{
		int nCurrentPos = pScrollBar->GetScrollPos();
		switch(nSBCode)
		{
		case SB_THUMBTRACK:
		case SB_THUMBPOSITION:
			pScrollBar->SetScrollPos(nPos);
			break;
		case SB_LINEUP:
			pScrollBar->SetScrollPos(nCurrentPos-1);
			break;
		case SB_LINEDOWN:
			pScrollBar->SetScrollPos(nCurrentPos+1);
			break;
		case SB_PAGEUP:
			pScrollBar->SetScrollPos(nCurrentPos-5);
			break;
		case SB_PAGEDOWN:
			pScrollBar->SetScrollPos(nCurrentPos+5);
			break;
		}
		m_ScrollBar2.SetScrollPos(
			2 * pScrollBar->GetScrollPos());
	}
	
	CDialog::OnVScroll(nSBCode, nPos, pScrollBar);
}