	else
	{
		// ** Create a device context for drawing
		CPaintDC dc(this); 

		// ** Find the dialog dimensions
		CRect rcDlg;
		GetClientRect(&rcDlg);

		// ** Loop twice, once for each eye
		for(int i=0;i<2;i++)
		{
			// ** Find the center of the eye
			CPoint ptEye = rcDlg.CenterPoint();

			// ** Set the eye position for each eye
			ptEye.x += i==0 ? -80 : +80;

			
			// ** Make a eye rectangle 
			CRect rcEye(ptEye,ptEye);
			rcEye.InflateRect(40,60);

			// ** Draw the eye white 
			dc.SelectStockObject(WHITE_BRUSH);
			dc.Ellipse(rcEye);
			rcEye.DeflateRect(20,40);

			// ** Use the mouse position to update the pupil
			CPoint ptRel = m_ptMouse - rcEye.CenterPoint();
			double dX = (double)ptRel.x * 
				(rcEye.Width() / (double)rcDlg.Width());
			double dY = (double)ptRel.y * 
				(rcEye.Height() / (double)rcDlg.Height());
			
			// ** Move the pupil position and draw it
			rcEye.OffsetRect(CPoint((int)dX,(int)dY));
			dc.SelectStockObject(BLACK_BRUSH);
			dc.Ellipse(rcEye);
		}
		
		CDialog::OnPaint();
	}