#define ID_MENU_RED		5001
#define ID_MENU_GREEN	5002
#define ID_MENU_BLUE	5003
#define ID_MENU_YELLOW	5004

void CSdimenuView::OnContextMenu(CWnd* pWnd, CPoint point) 
{
	// ** Declare a CMenu object
	CMenu menuPopup;

	// ** Create the popup menu resource
	if (menuPopup.CreatePopupMenu())
	{
		// ** Add simple menu items
		menuPopup.AppendMenu(MF_STRING,ID_MENU_RED,"&Red");

		//** Insert an item at the top of the menu
		menuPopup.InsertMenu(0, MF_BYPOSITION | MF_STRING,
							ID_MENU_GREEN,"&Green");

		// ** Add a seperator item
		menuPopup.AppendMenu(MF_SEPARATOR);

		// ** Add a checked item
		menuPopup.AppendMenu(MF_STRING | MF_CHECKED,
							ID_MENU_BLUE,"&Blue");

		// ** MF_MENUBARBREAK 
		menuPopup.AppendMenu(MF_STRING | MF_MENUBARBREAK,
									ID_MENU_YELLOW,"&Yellow");
		menuPopup.TrackPopupMenu(TPM_LEFTALIGN,
										point.x,point.y,this);
	}
}
