BEGIN_MESSAGE_MAP(CDlgbarView, CView)
	//{{AFX_MSG_MAP(CDlgbarView)
	ON_WM_ERASEBKGND()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
	ON_COMMAND(IDC_APPLY_COLOR, ApplyColor)
	ON_CBN_SELCHANGE(IDC_COLOR,ColorChange)
END_MESSAGE_MAP()

afx_msg void CDlgbarView::ApplyColor()
{
	Invalidate();
}

#include "MainFrm.h"
afx_msg void CDlgbarView::ColorChange()
{
	CMainFrame* pMainFrame = (CMainFrame*)GetParentFrame();
	CComboBox* pColSel = (CComboBox*)(pMainFrame->m_wndColorDlgBar.GetDlgItem(IDC_COLOR));
	if (pColSel) m_nColor = pColSel->GetCurSel();
}

BOOL CDlgbarView::OnEraseBkgnd(CDC* pDC) 
{	
	COLORREF rf = RGB(255,255,255);
	switch(m_nColor)
	{
		case 0: rf = RGB(0,0,255); break;
		case 1: rf = RGB(0,255,0); break;
		case 2: rf = RGB(255,0,0); break;
		case 3: rf = RGB(255,255,0); break;
	}
	CRect rcClient;
	GetClientRect(&rcClient);
	pDC->FillSolidRect(&rcClient,rf);
	return TRUE;	
}
