void CMyDrawView::OnDraw(CDC* pDC)
{
	CMyDrawDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	// Create a Pen
	CPen penRed(PS_DOT,1,RGB(255,0,0));		
	CPen *pOldPen = NULL;					

	pOldPen = pDC->SelectObject(&penRed);	

	// Don't fill the ellipse
	pDC->SelectStockObject(NULL_BRUSH);			

	CRect rcClient;
	GetClientRect(&rcClient);

	// Declare a center-positioned rectangle object 
	CRect rcEllipse(rcClient.CenterPoint(),		
					rcClient.CenterPoint());	

	// Keep going until the ellipse fills the client area
	while(rcEllipse.Width() < rcClient.Width()		
		&& rcEllipse.Height() < rcClient.Height())	 
	{
		// Increase the ellipse size by 10 pixels
		rcEllipse.InflateRect(10,10);
		pDC->Ellipse(rcEllipse);
	}

	pDC->SelectObject(pOldPen);
}