// Chap18P1View.cpp : implementation of the CChap18P1View class
//

#include "stdafx.h"
#include "Chap18P1.h"

#include "Chap18P1Doc.h"
#include "Chap18P1View.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChap18P1View

IMPLEMENT_DYNCREATE(CChap18P1View, CView)

BEGIN_MESSAGE_MAP(CChap18P1View, CView)
	//{{AFX_MSG_MAP(CChap18P1View)
	ON_COMMAND(ID_CHOOSEFONT, OnChoosefont)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChap18P1View construction/destruction

CChap18P1View::CChap18P1View()
{
	// TODO: add construction code here

}

CChap18P1View::~CChap18P1View()
{
}

BOOL CChap18P1View::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

int CALLBACK FontCallBack(ENUMLOGFONT FAR* lpelf,
							NEWTEXTMETRIC FAR *lpnt,
							int FontType,
							LPARAM lParam)
{
	CDC* pDC = (CDC*)lParam;
	CFont fnEnum;
	fnEnum.CreateFontIndirect(&lpelf->elfLogFont);

	CFont* pOldFont = pDC->SelectObject(&fnEnum);

	int nYPos = pDC->GetCurrentPosition().y;
	pDC->TextOut(5,nYPos,CString(lpelf->elfLogFont.lfFaceName));
	pDC->MoveTo(0,nYPos + lpelf->elfLogFont.lfHeight);

	pDC->SelectObject(pOldFont);
	return 1;
}


/////////////////////////////////////////////////////////////////////////////
// CChap18P1View drawing

void CChap18P1View::OnDraw(CDC* pDC)
{
	CChap18P1Doc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here

	pDC->SetTextAlign(TA_RIGHT);				// ** Align point to the right of the text
	pDC->TextOut(200,200,"<-Right->");			// ** Draw the Text

	pDC->SetTextAlign(TA_LEFT);					// ** Align point to the left of the text
	pDC->TextOut(200,200,"<-Left->");			// ** Draw the Text

	pDC->SetTextAlign(TA_CENTER + TA_BOTTOM);	// ** Align point to the center and below the text 
	pDC->TextOut(200,200,"<-Center->");			// ** Draw the Text
	
	pDC->MoveTo(150,200);						// ** Move
	pDC->LineTo(250,200);						// ** Draw horizontal line

	pDC->MoveTo(200,150);						// ** Move
	pDC->LineTo(200,250);						// ** Draw vertical line

}
/////////////////////////////////////////////////////////////////////////////
// CChap18P1View printing

BOOL CChap18P1View::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CChap18P1View::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CChap18P1View::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CChap18P1View diagnostics

#ifdef _DEBUG
void CChap18P1View::AssertValid() const
{
	CView::AssertValid();
}

void CChap18P1View::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CChap18P1Doc* CChap18P1View::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CChap18P1Doc)));
	return (CChap18P1Doc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CChap18P1View message handlers

void CChap18P1View::OnChoosefont() 
{
	// TODO: Add your command handler code here
	
	CFontDialog dlgChooseFont;
	if (dlgChooseFont.DoModal() == IDOK)
	{
		m_fnCustom.DeleteObject();
		m_fnCustom.CreateFontIndirect(dlgChooseFont.m_cf.lpLogFont);
		Invalidate();
	}
}
