void CSimpTextView::OnDraw(CDC* pDC)
{
	CSimpTextDoc* pDoc = GetDocument();
    ASSERT_VALID(pDoc);
    
    // TODO: add draw code for native data here
    
    // ** Declare a CRect to hold the client rect
    CRect rcClient;        
    GetClientRect(&rcClient);    
     
    // ** Find the mid point
    CPoint ptCentre = rcClient.CenterPoint();    
    pDC->SetBkMode(TRANSPARENT);    
     
    // ** Loop through 360 degrees 
    for(int i=0 ; i <360 ; i+=18)    
    {
        CFont fnBig;        

            // ** 30 high, default width
        fnBig.CreateFont(30,0,    
                // ** Change Orientation
            i*10,i*10,    
                // ** Increase the weight 
            i/4,            
            FALSE,
            TRUE, //** Underlined
            FALSE,    
            ANSI_CHARSET,
            OUT_DEFAULT_PRECIS,
            CLIP_DEFAULT_PRECIS,
            PROOF_QUALITY,
            DEFAULT_PITCH + FF_DONTCARE,        
            "Arial"
            );        
        
        CFont* pOldFont = pDC->SelectObject(&fnBig); 
    
        // ** Draw the text    
        pDC->TextOut(ptCentre.x,ptCentre.y,
			".....Beautiful Fonts");    
        
        pDC->SelectObject(pOldFont);        
    }
}
