void CTreeVView::OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult)
{
    NM_TREEVIEW* pNMTreeView = (NM_TREEVIEW*)pNMHDR;

    // ** Find the handle of the selected item
    HTREEITEM hSelected = 
                    GetTreeCtrl().GetSelectedItem();

     // ** Ensure there is a selected handle
     if (hSelected >= 0)
     {
         // ** Get the text from the selected item
         CString strSelected = 
               GetTreeCtrl().GetItemText(hSelected);

         // ** Set the title to the Windows' title bar
         GetDocument()->SetTitle(strSelected);
     }

     *pResult = 0;
}
