BOOL CPrintItView::OnPreparePrinting(CPrintInfo* pInfo)
{
	pInfo->SetMinPage(1);
	pInfo->SetMaxPage(10);

	pInfo->m_pPD->m_pd.nCopies = 3;

	do
	{
		// ** Check if user has cancelled print
		if (DoPreparePrinting(pInfo) == FALSE) 
			return FALSE;
		
		// ** Warn the user if too many copies are specified
		if (pInfo->m_pPD->GetCopies()>5)
			AfxMessageBox("Please choose less than 5 copies");

		// ** Keep looping until they specify a valid number
	} while(pInfo->m_pPD->GetCopies()>5);
	return TRUE;
}