void CPersistDoc::DeleteBlobs()
{
    // ** Delete the allocated blobs
    for(int i=0;i<m_BlobArray.GetSize();i++)
        delete m_BlobArray.GetAt(i);
    m_BlobArray.RemoveAll();
}

CPersistDoc::~CPersistDoc()
{
    DeleteBlobs();
}

BOOL CPersistDoc::OnNewDocument()
{
    if (!CDocument::OnNewDocument())
    return FALSE;

    // TODO: add reinitialization code here
    // (SDI documents will reuse this document)

    DeleteBlobs();

    return TRUE;
}
