void CPersistDoc::OnEditPaste()
{
  // ** Create a data object and attach to clipboard
  COleDataObject oleTarget;
  oleTarget.AttachClipboard();
  if (oleTarget.IsDataAvailable(m_uClipFormat))
  {
     // ** Get the global memory handle
     HANDLE hGlobalMem =
           oleTarget.GetGlobalData(m_uClipFormat);
     if (hGlobalMem)
     {
         // ** Unwind the data into the document
        CSharedFile fileTarget;
        fileTarget.SetHandle(hGlobalMem);
        CArchive arTarget(&fileTarget,CArchive::load);
        DeleteBlobs();

        // ** Run the serialize and update the display
        Serialize(arTarget);
        UpdateAllViews(NULL);
     }
  }
}
