	// ** Play 5 seconds of CD track 3 via the Command String
	char szRetMsg[80];
	char szErrorMessage[512];
	MCIERROR errOpen;
	errOpen = mciSendString("open cdaudio alias mycd wait",
					szRetMsg,sizeof(szRetMsg),m_hWnd);
	if (szRetMsg[0]!='1')
	{
		// ** Display the open error
		mciGetErrorString(errOpen,szErrorMessage,512);
		AfxMessageBox(szErrorMessage);
	}
	{
		// ** set time format to tracks/minutes/seconds/frames
		mciSendString("set mycd time format tmsf",
						szRetMsg,sizeof(szRetMsg),m_hWnd);	

		// ** Play 5 seconds of track 3 from 12 seconds in
		mciSendString("play mycd from 3:0:12:0 to 3:0:17:0 wait",
						szRetMsg,sizeof(szRetMsg),m_hWnd);	

		// ** Close the device
		mciSendString("close mycd",
						szRetMsg,sizeof(szRetMsg),m_hWnd);	
	}

	// ** Play 5 seconds of CD track 3 via the Command Message
	MCI_OPEN_PARMS myCDOpen = {NULL,0,"cdaudio",NULL,NULL};
	errOpen = mciSendCommand(NULL,MCI_OPEN,
				MCI_OPEN_TYPE|MCI_WAIT,(DWORD)&myCDOpen);
	if (errOpen)
	{
		// ** Display the open error
		mciGetErrorString(errOpen,szErrorMessage,512);
		AfxMessageBox(szErrorMessage);
	}
	else
	{
		// ** set time format to tracks/minutes/seconds/frames
		MCI_SET_PARMS setParams = {NULL,
			MCI_FORMAT_TMSF,0};
		errOpen=mciSendCommand(myCDOpen.wDeviceID,MCI_SET,
						MCI_SET_TIME_FORMAT,(DWORD)&setParams);

		// ** Play 5 seconds of track 3 from 12 seconds in
		MCI_PLAY_PARMS playParams = {NULL, 
									MCI_MAKE_TMSF(3, 0, 12, 0),
									MCI_MAKE_TMSF(3, 0, 17, 0)};
		mciSendCommand(myCDOpen.wDeviceID,MCI_PLAY,
									 MCI_FROM | MCI_TO | MCI_WAIT,
									 (DWORD)&playParams);

		// ** Close the device
		MCI_GENERIC_PARMS genParams = {NULL};
		mciSendCommand(myCDOpen.wDeviceID,MCI_CLOSE,
									NULL,(DWORD)&genParams);
	}